Skip to main content

API Key Issuance

POST 

/issue_service_authorization

Issues an API key.

Either authorization (an API key specified in the Authorization header), or the pair of sid and spw is required.

caution

Please set sid and spw in the request body in application/x-www-form-urlencoded format. Do not specify them as query parameters (appended to the end of the URL after ?).

caution
  • The service password is different from the password used to log in to MyPage.
  • For accounts created after the MyPage renewal on 2025/06/30, the service ID and service password are not displayed on MyPage. Please use an API key issued with the API key issuance functionality enabled as authorization.
caution

Even if the Service ID or Service Password is incorrect, an API key will be issued. If you use this invalid API key to connect to the speech recognition service, an authentication error will occur. The error message may vary depending on the interface.

In case of HTTP interface

If either the Service ID or Service Password is incorrect, it will return the following error:

{
"code":"-",
"message":"received illegal service authorization"
}

In case of WebSocket interface

If either the Service ID or Service Password is incorrect, it will return the following error:

s can't validate service authorization

Request

Responses

Returns the API key string.